$( document ).ready(function() {
	
	if (!mId || mId=='no') {
		$('#mask').show();
		$('.main').hide();
		$('#logo').css('visibility','visible');
	}
	else {
		$('.messages').html('').hide();
		loadCard();
		logoAnim();
	}

	$('#noSetNow').click(function(){
		$('#mask').hide();
		$('.main').show();
		storage.setItem('mId'+defaultId,'no');
		mId	='no';
		storage.setItem('name'+defaultId,'نا شناس');
		name='نا شناس';
		$('#logo').css('visibility','hidden');
		logoAnim();
	});

	$('#confirm').click(function(){

		if(!Number($('#cellNumber').val())){
			$('.messages').html('شماره تماس خود را با اعداد انگلیسی و صحیح وارد نمایید!').fadeIn(1000);
			return false;
		}
		if(!$('#family').val()){
			$('.messages').html('نام خود را وارد نمایید!').fadeIn(1000);
			return false;
		}

	    $.ajax({
		   url: 'http://nanocard.ir/app/signup/',
		   crossOrigin: true,
		   method: 'post',
		   contentType: "application/x-www-form-urlencoded; charset=utf-8",
		   dataType:'html',
		   data:{'cellNumber':Number($('#cellNumber').val()),'family':$('#family').val(),'CId':defaultId},
		   beforeSend: function(){
				$("#loader").show();
			},
		   error: function(err) {
				if(err) {
					$("#loader").hide();
					$('.messages').html('جهت راه اندازی نرم افزار، لطفا اینترنت خود را فعال نمایید!').fadeIn(1000);
			 	}
		   },
		   success: function(data) {
				
				switch (Number(data)){
					case 0 :
						$('.messages').html('متاسفانه ثبت اطلاعات با مشکل روبرو شد!').fadeIn(1000);
					break;
					case -1:
						$('.messages').html('شماره تماس صحیح وارد نشده است!').fadeIn(1000);
					break;
					default :
						storage.setItem('mId'+defaultId,Number($('#cellNumber').val()));
						mId	=Number($('#cellNumber').val());
						storage.setItem('name'+defaultId,$('#family').val());
						name=$('#family').val();
						$('#mask').hide();
						$('.main').show();
						loadCard();
				}
				$("#loader").hide();
		   }
		});

	});
	function loadCard(){

		$.ajax({
		   url: hostUrl+'init/prm/'+defaultId,
		   crossOrigin: true,
		   dataType:'json',
		   beforeSend: function(){
				$("#loader").show();
			},
		   error: function(err) {
				if(err & !mId) {
					$("#loader").hide();
					$('.messages').html('جهت بارگذاری اطلاعات لطفا اینترنت خود را فعال نمایید!').fadeIn(1000);
			  	}
			  	else {
			  		$('#cell').attr('href','sms:'+vCell);
					$('#tell').attr('href','tel:'+vTell);
					$('#manager').html(vManager);
			  	}
		   },
		   success: function(data) {
		   		storage.setItem('cell'+defaultId,data['Cell']);
				storage.setItem('tell'+defaultId,data['Tell']);
				storage.setItem('cells'+defaultId,data['Cells']);
				storage.setItem('tells'+defaultId,data['Tells']);
				storage.setItem('address'+defaultId,data['Address']);
				storage.setItem('latitude'+defaultId,data['Latitude']);
				storage.setItem('longitude'+defaultId,data['Longitude']);
				storage.setItem('manager'+defaultId,data['Name']);
				setVar();
				
				$('#cell').attr('href','sms:'+data['Cell']);
				$('#tell').attr('href','tel:'+data['Tell']);
				cells =vCells?vCells.split(","):[];
				tells =vTells?vTells.split(","):[];
				var vContact ='';
				$.each(cells,function (key,value){
					vContact+='<a href="tel:'+value+'">'+value+'</a><br />';
				});
				$.each(tells,function (key,value){
					vContact+='<a href="tel:'+value+'">'+value+'</a><br />';
					
				});
				$('#contacts').html(vContact);
				$('#manager').html(data['Name']);
				$("#loader").hide();
		   }
		});
	}

	$('#logo').click(function(){
		$('#logo').removeClass().addClass('flip animated').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
		 	$(this).removeClass();
		});
	});

});

function logoAnim() {
	
	$('#titleApp').removeClass().addClass('zoomIn animated').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
 		$(this).removeClass();
 		$('#logo').css('visibility','visible');
			$('#logo').removeClass().addClass('flip animated').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
			 	$(this).removeClass();

				$('#iconBtn').css('visibility','visible');
			  	$('#iconBtn').removeClass().addClass('zoomIn animated').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
			 		$(this).removeClass();
			});
		});

	});
};
